### Method

# Vips Image rot45

#### Declaration [src]

    int
    vips_rot45 (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Rotate `in` by a multiple of 45 degrees. Odd-length sides and square images only.

This operation is useful for rotating convolution masks. Use `vips_similarity()` to rotate images by arbitrary angles.

Optional arguments

- `angle`: `VipsAngle45`, rotation angle

See also

`vips_rot()`, `vips_similarity()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.